Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.kie.services.impl.event
Class NodeInstanceEvent

    java.lang.Object
      org.jbpm.kie.services.impl.event.NodeInstanceEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NodeInstanceLeftEvent, NodeInstanceTriggeredEvent

    public class NodeInstanceEvent

extends Object
implements Serializable

See Also:
  Serialized Form

Constructor Summary
`NodeInstanceEvent(ProcessNodeEvent event)`

Method Summary
`long` | `getNodeId()`
`long` | `getNodeInstanceId()`
`String` | `getNodeName()`
`long` | `getProcessInstanceId()`
`void` | `setNodeId(long nodeId)`
`void` | `setNodeInstanceId(long nodeInstanceId)`
`void` | `setNodeName(String nodeName)`
`void` | `setProcessInstanceId(long processInstanceId)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeInstanceEvent

    public NodeInstanceEvent(ProcessNodeEvent event)

Method Detail

### getProcessInstanceId

    public long getProcessInstanceId()

### setProcessInstanceId

    public void setProcessInstanceId(long processInstanceId)

### getNodeInstanceId

    public long getNodeInstanceId()

### setNodeInstanceId

    public void setNodeInstanceId(long nodeInstanceId)

### getNodeName

    public String getNodeName()

### setNodeName

    public void setNodeName(String nodeName)

### getNodeId

    public long getNodeId()

### setNodeId

    public void setNodeId(long nodeId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4-Pre1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.